export declare type Pkg = {
    name: string;
    version: string;
    description?: string;
    homepage?: string;
    repository?: string;
    dependencies?: Record<string, string>;
    peerDependencies?: Record<string, string>;
};
export declare const findPkg: (file: string) => Promise<string | void>;
export declare const findPkgByName: (file: string, moduleName: string, callback?: ((file: string, pkg: Pkg) => void) | undefined) => Promise<string | void>;
export declare const findPkgs: (modulePath: string, baseDir: string) => Promise<{
    rootPkgFile: string | void;
    rootPkg: void | Pkg;
    modulePkgFile: string | void;
    modulePkg: void | Pkg;
}>;
