"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stripFlowTypes = void 0;
const sucrase_1 = require("sucrase");
/**
 * Strip flow types from the given source code.
 *
 * Why sucrase is used instead of babel, bundle size of this package:
 * - `sucrase`: 848kb -> 1.1mb
 * - `@babel/core` (with `@babel/plugin-transform-flow-strip-types`): 848kb -> 5.7mb
 */
function stripFlowTypes(source, filename) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-assignment, @typescript-eslint/no-unsafe-call
    const result = (0, sucrase_1.transform)(source, {
        transforms: ['flow', 'jsx', 'imports'],
        jsxRuntime: 'automatic',
        production: true,
        filePath: filename,
    });
    // eslint-disable-next-line @typescript-eslint/no-unsafe-return, @typescript-eslint/no-unsafe-member-access
    return result.code;
}
exports.stripFlowTypes = stripFlowTypes;
